Bug 90150 - Page numbering in the status bar which may cause confusion
Summary: Page numbering in the status bar which may cause confusion
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-21 21:04 UTC by MassinissaHamidi
Modified: 2016-04-05 11:53 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description MassinissaHamidi 2015-03-21 21:04:30 UTC
Hi,

the page number shown in the status bar, when I scroll up or down, remains unchanged even if the entire previous page is not visible on the screen. The page number changes at the intersection of the different pages which may cause confusion.

+ Ubuntu 14.04 LTS - 32-bit
+ LibreOffice Version: 4.5.0.0.alpha0+

steps to reproduce:

- create a document with at least 2 pages;
- scroll down to the next page keeping the cursor in the current page
(same behavior when scrolling up);
- check the page number shown in the status bar when reaching the intersection of two pages.

It would be preferable, instead, that this number changes when a certain proportion of the next page is reached.

N.B. This bug appear in the bug tracker of openOffice id#80672.

thanks.
Comment 1 A (Andy) 2015-03-22 08:34:09 UTC
I agree this could be changed/improved.

Reproducible with LO 4.4.1.2, Win 8.1
Changed the importance in accordance with the Bug Priority Triage Flowchart
Comment 2 Commit Notification 2015-05-16 04:16:11 UTC
massinissaHamidi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1622b67e4b2bc8ecc5dd3ededc0a6e5adb936a6e

tdf#90150 : Page numbering in the status bar which may cause confusion

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Mike §chinagl 2015-05-21 15:35:10 UTC
This bug fix is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. 
In the notes it reads:

Another issue inherited from OpenOffice.org—which caused Writer’s status bar to display the incorrect page number when scrolling—has been fixed in LibreOffice. Writer will now update the page indicator when less than the 43% of a page is visible on-screen. tdf#90150 i#80672 Thanks to: Hamidi Massinissa.
Comment 4 Commit Notification 2015-08-12 06:20:55 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0409f83a5a4f9f86fa69a9431ce5aa07be427455

tdf#92305: Revert "tdf#90150 : Page numbering in the status bar ..."

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Jan Holesovsky 2015-08-12 06:44:05 UTC
MassinissaHamidi: I am very sorry, but I had to revert your patch.  It was causing a very visible bug 92305.

The change is problematic from the user experience point of view - with that, the user is never sure what page is he/she looking at exactly.

The better solution would be to extend the status bar indicator to allow showing the entire range of pages that are visible; like:

* only one page visible: "Page 3 of 8."
* more pages visible: "Pages 3-5 of 8."

The code to do that is SwView::GetPageStr() in sw/source/uibase/uiview/view2.cxx.  You'll also need to add the plural version of the string in sw/source/ui/shells/shells.src, search for STR_PAGE_COUNT and STR_PAGE_COUNT_CUSTOM.

Thank you in advance for your help!
Comment 6 Commit Notification 2015-08-12 12:55:19 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ce51de70c2dfa905e105d09f4ccd72014af159ac&h=libreoffice-5-0

tdf#92305: Revert "tdf#90150 : Page numbering in the status bar ..."

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-08-15 22:21:03 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e83e14fb118a98425c342c63b98147e4cf79d44&h=libreoffice-5-0-1

tdf#92305: Revert "tdf#90150 : Page numbering in the status bar ..."

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.